#ifndef _Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString_HeaderFile
#define _Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class PColStd_SeqNodeOfHSequenceOfHAsciiString;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_SeqNodeOfHSequenceOfHAsciiString);

class Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString) : public Handle(PMMgt_PManaged) {
  public:

    Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)():Handle(PMMgt_PManaged)() {} 
    Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)(const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)(const PColStd_SeqNodeOfHSequenceOfHAsciiString* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& operator=(const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& operator=(const PColStd_SeqNodeOfHSequenceOfHAsciiString* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_SeqNodeOfHSequenceOfHAsciiString* operator->() const 
     {
      return (PColStd_SeqNodeOfHSequenceOfHAsciiString *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
